Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class CoverageDomainException

    Object
      Throwable
          Exception
              RuntimeException
                  CannotEvaluateException
                      CoverageDomainException

All Implemented Interfaces:
  Serializable

    public class CoverageDomainException

extends CannotEvaluateException

Thrown when a `evaluate` method is invoked for a location outside the domain of the coverage.

See Also:
  Serialized Form

Constructor Summary
`CoverageDomainException()` Creates an exception with no message.
`CoverageDomainException(String message)` Creates an exception with the specified message.

Method Summary
`Coverage` | `getCoverage()` Returns the coverage.
`DirectPosition` | `getOffendingLocation()` Returns the direct position which is outside the domain of the coverage.
`void` | `setCoverage(Coverage coverage)` Sets the coverage.
`void` | `setOffendingLocation(DirectPosition offendingLocation)` Sets the direct position which is outside the domain of the coverage.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoverageDomainException

    public CoverageDomainException()

  Creates an exception with no message.

### CoverageDomainException

    public CoverageDomainException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Method Detail

### getOffendingLocation

    public DirectPosition getOffendingLocation()

  Returns the direct position which is outside the domain of the coverage.

### setOffendingLocation

    public void setOffendingLocation(DirectPosition offendingLocation)

  Sets the direct position which is outside the domain of the coverage.

### getCoverage

    public Coverage getCoverage()

  Returns the coverage.

### setCoverage

    public void setCoverage(Coverage coverage)

  Sets the coverage. The offending location should be within the domain of this coverage, otherwise this exception is thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.